Choose style:

Author Topic: [SOLVED] Error while compiling edimax ew-7811un wifi drivers.  (Read 1409 times)

0 Members and 1 Guest are viewing this topic.

Offline Will Dojinn

  • Jr. Member
  • **
  • Posts: 55
  • Karma: 1
  • Rocket Hamster!
    • View Profile
  • Peppermint version(s): Six and Seven
I've got one of those edimax wifi nubs, picked it up because it was supposed to support linux out of the box (amazon keeps pairing it with the raspberry pi so I thought... worth a shot right?) Turns out by default the driver for the thing flicks off/on at the drop of a hat it's holding and to get it to work right you need to compile new drivers. Fine, whatever, I wanted to trade up to the 4.5.x kernel on the desktop anyhow.

After using a usb stick to ferry files across from the laptop to the desktop (since desktop is downstairs. I get this error when trying to actually compile the dmk thing.

Please help.

Edit: Needs a newer version of GCC, Now works as advertised.


Code: [Select]
DKMS make.log for 8192cu-1.10 for kernel 4.5.0-040500-generic (i686)
Sat Jun  4 06:13:25 CDT 2016
make: Entering directory `/usr/src/linux-headers-4.5.0-040500-generic'
Makefile:666: Cannot use CONFIG_CC_STACKPROTECTOR_STRONG: -fstack-protector-strong not supported by compiler
  LD      /var/lib/dkms/8192cu/1.10/build/built-in.o
  CC [M]  /var/lib/dkms/8192cu/1.10/build/core/rtw_cmd.o
gcc: error: unrecognized command line option ‘-fstack-protector-strong’
make[1]: *** [/var/lib/dkms/8192cu/1.10/build/core/rtw_cmd.o] Error 1
make: *** [_module_/var/lib/dkms/8192cu/1.10/build] Error 2
make: Leaving directory `/usr/src/linux-headers-4.5.0-040500-generic'
« Last Edit: June 05, 2016, 10:42:13 am by Will Dojinn »

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Error while compiling edimax ew-7811un wifi drivers.
« Reply #1 on: June 04, 2016, 06:49:39 pm »
Whiich version of gcc are you using ?

What's the output from:
Code: [Select]
gcc --version
?
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline Will Dojinn

  • Jr. Member
  • **
  • Posts: 55
  • Karma: 1
  • Rocket Hamster!
    • View Profile
  • Peppermint version(s): Six and Seven
Re: Error while compiling edimax ew-7811un wifi drivers.
« Reply #2 on: June 04, 2016, 11:30:26 pm »
Says 4.8.4.

What version do i have, how do I get it and all the dependencies it needs, and what other things should I be asking via command line?

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Error while compiling edimax ew-7811un wifi drivers.
« Reply #3 on: June 05, 2016, 07:54:54 am »
You'll have a game getting this to compile without installing gcc 4.9 or above .. I gather "-fstack-protector-strong" was only added in 4.9
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline Will Dojinn

  • Jr. Member
  • **
  • Posts: 55
  • Karma: 1
  • Rocket Hamster!
    • View Profile
  • Peppermint version(s): Six and Seven
Re: Error while compiling edimax ew-7811un wifi drivers.
« Reply #4 on: June 05, 2016, 10:41:00 am »
The difference moving the wifi nub makes: Moved the nub to a USB extender cable and now it still will randomly decide it doesn't want to do anything forcing me to click the network off then on, but it's now going fast enough I can get needed things downloaded so I can actually get the better driver up and working.

Gonna have to mark this one as solved because the updated gcc library is one of the things being updated right now.
« Last Edit: June 05, 2016, 10:42:56 am by Will Dojinn »

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26267
  • Karma: 2855
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: [SOLVED] Error while compiling edimax ew-7811un wifi drivers.
« Reply #5 on: June 05, 2016, 11:39:21 am »
PM7 will have the more recent gcc version :)
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline Will Dojinn

  • Jr. Member
  • **
  • Posts: 55
  • Karma: 1
  • Rocket Hamster!
    • View Profile
  • Peppermint version(s): Six and Seven
Re: [SOLVED] Error while compiling edimax ew-7811un wifi drivers.
« Reply #6 on: June 06, 2016, 12:05:34 am »
Actually I installed GCC 5 so... yea


This thing will still disconnect, but I'm guessing it is either the router, or lack of power due to me having a usb extender cable. Not idea, but I'm getting my rated speed 10mb/s so good until I can get enough for a better power supply and a pci wifi card.